> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Course Difficulty

> Difficulty metrics per course (attempts, pass rate, enrollments).



## OpenAPI

````yaml /openapi.json get /api/v1/learn/admin/analytics/course-difficulty
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/admin/analytics/course-difficulty:
    get:
      tags:
        - learn-admin-analytics
      summary: Get Course Difficulty
      description: Difficulty metrics per course (attempts, pass rate, enrollments).
      operationId: get_course_difficulty_api_v1_learn_admin_analytics_course_difficulty_get
      parameters:
        - name: ship_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Ship Id
        - name: course_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Course Id
        - name: role
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Role
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CourseDifficultyResponseDTO'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CourseDifficultyResponseDTO:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CourseDifficultyDTO'
          type: array
          title: Data
      type: object
      required:
        - data
      title: CourseDifficultyResponseDTO
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CourseDifficultyDTO:
      properties:
        courseId:
          type: string
          title: Courseid
        course:
          type: string
          title: Course
        avgAttempts:
          type: number
          title: Avgattempts
        passRate:
          type: number
          title: Passrate
        enrollments:
          type: integer
          title: Enrollments
      type: object
      required:
        - courseId
        - course
        - avgAttempts
        - passRate
        - enrollments
      title: CourseDifficultyDTO
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````